import { OnChanges, SimpleChanges, ChangeDetectorRef } from '@angular/core';
import { Value } from '../models/value.model';
import { ChartItemService } from '../services/chart-item.service';
import { BaseChartComponent } from '../shared/base-chart.component';
import { Slice } from '../models/slice.model';
import { UtilsService } from '../services/utils.service';
export declare class PieChartComponent extends BaseChartComponent<Value> implements OnChanges {
    donutRadius: number;
    donut: number;
    slices: Slice[];
    readonly pie: Slice[];
    cssClassSegment(slice: Slice, index: number): string;
    createElementId(slice: Slice, index: number): string;
    constructor(chartItemService: ChartItemService, utilsService: UtilsService, cd: ChangeDetectorRef);
    ngOnChanges(changes: SimpleChanges): void;
    calculateSlices(): void;
    createSlice(item: Value, totalValue: number, cumulativePercent: number): number;
    getCoordinatesForPercent(percent: any): number[];
    getNormalizedValue(totalValue: number, value: number): number;
    resetActiveElement(): void;
}
