import { EventEmitter } from '@angular/core';
import { IChartItem } from '../models/chartitem.interface';
import { ServiceItem } from '../models/serviceitem.model';
export declare class ChartItemService {
    values: ServiceItem<IChartItem[]>[];
    chartValueChange: EventEmitter<ServiceItem<IChartItem[]>>;
    chartValueHover: EventEmitter<ServiceItem<IChartItem>>;
    chartValueLeave: EventEmitter<ServiceItem<any>>;
    chartValueSelect: EventEmitter<ServiceItem<IChartItem>>;
    chartValueDeselect: EventEmitter<ServiceItem<IChartItem>>;
    setChartValues(val: ServiceItem<IChartItem[]>): void;
    getChartValues(chartId: string): ServiceItem<IChartItem[]>;
    hoverChartValue(val: ServiceItem<IChartItem>): void;
    leaveChartValue(val: ServiceItem<any>): void;
    selectChartValue(val: ServiceItem<IChartItem>): void;
    deselectChartValue(val: ServiceItem<IChartItem>): void;
    constructor();
}
