import { ITextConfiguration } from '../models/textConfiguration.interface';
import { IValue } from '../models/value.interface';
import { Axis } from '../models/axis.model';
export declare class UtilsService {
    constructor();
    textValue(config: ITextConfiguration, item: IValue, percent: number): string;
    private getTextValue;
    roundScale(value: number): number;
    createElementId(prefix: string, index: number): string;
    createYAxis(minValue: number, valueSteps: number, singleStepValue: number, singleStep: number, maxValue: number): Axis[];
    private onFormatUnkownAxisValue;
}
