import { TooltipConfiguration } from "./tooltipconfiguration.model";
import { IValue } from "./value.interface";
export declare class Value implements IValue {
    name: string;
    shortName: string;
    value: number;
    color: string;
    cssClass: string;
    tooltipConfig: TooltipConfiguration;
    data: any;
    constructor(name: string, value: number, color: string, cssClass?: string, tooltipConfig?: TooltipConfiguration, data?: any, shortName?: string);
}
